#       $NetBSD$
#
# Configuration info for Star STR81xx, STR91xx
#

device	star { [addr=-1], [irq=-1] }: bus_space_generic
file	arch/arm/star/star.c			star
file	arch/arm/star/star_intr.c		star
file	arch/arm/star/star_socdevs.c		star

# STR81xx Equuleus Family
#file	arch/arm/star/star_equuleus.c		star & star_equuleus
#file	arch/arm/star/star_equuleus_intr.c	star & star_equuleus

# STR91xx Orion Family
#file	arch/arm/star/star_orion.c		star & star_orion
#file	arch/arm/star/star_orion_intr.c		star & star_orion

file	arch/arm/arm32/irq_dispatch.S
file	arch/arm/star/star_space.c
file	arch/arm/star/star_dma.c

# UART
attach	com at star with staruart
file	arch/arm/star/star_com.c		staruart
file	arch/arm/star/star_a4x_space.c		staruart
file	arch/arm/star/star_a4x_io.S 		staruart

# Timer
device	starclk
attach	starclk at star
file	arch/arm/star/star_timer.c		starclk

# Real Time Counter
device	starrtc
attach	starrtc at star
file	arch/arm/star/star_rtc.c		starrtc

# Watch Dog Timer
#device	starwdog: sysmon_wdog
#attach	starwdog
#file	arch/arm/star/star_wdog.c		starwdog

# Gigabit Ethernet Controller
device	gec: ether, ifnet, arp, mii
attach	gec at star
file	arch/arm/star/if_gec.c			gec

# UHCI USB Controller
attach	ohci at star with starohci
file	arch/arm/star/star_ohci.c		starohci

# EHCI USB Controller
attach	ehci at star with starehci
file	arch/arm/star/star_ehci.c		starehci


